Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ati-drivers 8.552-r1
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
KAMIKAZE_
Guru
Guru


Joined: 09 Oct 2003
Posts: 306
Location: Riga, Latvia

PostPosted: Sun Nov 16, 2008 12:05 pm    Post subject: ati-drivers 8.552-r1 Reply with quote

After compiling (needs Kernel hacking->Magic SysRq to be enabled in kernel), doing etc-update and rebooting I've got this error:

Quote:
# startx
xauth: creating new authority file /root/.serverauth.2884


X.Org X Server 1.4.2
Release Date: 11 June 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.27-gentoo x86_64
Current Operating System: Linux kamaz 2.6.27-gentoo-r2 #4 SMP PREEMPT Sun Nov 16 06:38:29 EET 2008 x86_64
Build Date: 22 October 2008 02:00:18AM

Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Nov 16 06:45:40 2008
(==) Using config file: "/etc/X11/xorg.conf"
dlopen: /usr/lib64/xorg/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenKey
(EE) Failed to load /usr/lib64/xorg/modules/drivers//fglrx_drv.so
(EE) Failed to load module "fglrx" (loader failed, 7)
(EE) No drivers available.

Fatal server error:
no screens found
XIO: fatal IO error 104 (Connection reset by peer) on X server ":0.0"
after 0 requests (0 known processed) with 0 events remaining.

_________________
-=[powered by Gentoo]=-
Back to top
View user's profile Send private message
codestation
Tux's lil' helper
Tux's lil' helper


Joined: 09 Nov 2008
Posts: 126
Location: /dev/negi

PostPosted: Sun Nov 16, 2008 4:10 pm    Post subject: Reply with quote

The package is hardmasked for that (needs the Magic SysRq check) and 2 reasons more:

The ebuild in the tree right now dont work with <xorg-server-1.5, so u need to upgrade your xorg or apply this patch:
https://bugs.gentoo.org/attachment.cgi?id=171878

After doing this, AIGLX (and other things) dont work because another change (the ati-drivers package now comes with new libraries that the ebuild doesnt install). No idea how this gonna be implemented in the final ebuild but i made this:

replace
Code:
dosym ../xorg-x11/extensions ${ATI_ROOT}/extensions

with
Code:

exeinto ${ATI_ROOT}/extensions
doexe "${BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/extensions/libglx.so
doexe "${BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/extensions/libdri.so

And everything works ok. Before emerge this modified ebuild do "eselect opengl set xorg-x11" and unmerge the current ati-drivers package (not sure how portage manages that a directory symlink becomes real, so is better be safe than sorry)

EDIT: it doesnt manage symlinks that became real dirs, so i had to add this (and no need to unmerge the old package first :wink: ):

Code:

pkg_preinst() {
        if use amd64 ; then
                [[ -L "${ROOT}/usr/lib32/opengl/ati/extensions" ]] && rm ${ROOT}/usr/lib32/opengl/ati/extensions
        fi
        [[ -L "${ROOT}/usr/lib/opengl/ati/extensions" ]] && rm ${ROOT}/usr/lib/opengl/ati/extensions
}


Anyway this is gonna be fixed soon in the official ebuid, more info in https://bugs.gentoo.org/show_bug.cgi?id=246672
_________________
Just feel the code...
Back to top
View user's profile Send private message
Mafteah
Apprentice
Apprentice


Joined: 30 May 2003
Posts: 265
Location: IL

PostPosted: Sun Nov 16, 2008 6:36 pm    Post subject: Reply with quote

I got:
Code:
fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
[fglrx] Maximum main memory to use for locked dma buffers: 1898 MBytes.
[fglrx:drm_alloc] *ERROR* [driver] Allocating 0 bytes
[fglrx:firegl_init_device_list] *ERROR* Out of memory when allocating device heads
[fglrx:firegl_init_module] *ERROR* firegl_init_devices failed

_________________
http://www.mafteah.co.il
Back to top
View user's profile Send private message
codestation
Tux's lil' helper
Tux's lil' helper


Joined: 09 Nov 2008
Posts: 126
Location: /dev/negi

PostPosted: Mon Nov 17, 2008 1:43 am    Post subject: Reply with quote

Your card is a r300 series? Looks like that you arent the only one with that bug
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/284408
Not sure if is a bug with the 8.552 or ati drop support for those cards, iunno.
_________________
Just feel the code...
Back to top
View user's profile Send private message
Edweirdo
Guru
Guru


Joined: 28 Jan 2003
Posts: 353
Location: Boston, Mass, USA

PostPosted: Thu Nov 20, 2008 4:12 pm    Post subject: Reply with quote

I still get this error when I am using the ati-drivers 8.552-r2 ebuild.

Of course, unless this new driver lets me use openoffice then I don't really care.
_________________
Life is too short and too important to { take seriously | use Windows }.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum